package de.uni_marburg.powersort.data;

import de.uni_marburg.powersort.benchmark.IntegerArray;
import de.uni_marburg.powersort.benchmark.LongFormatter;

public class RandomIntegers extends IntegerSupplier {
    public RandomIntegers(final int size, final long seed) {
        super(IntegerArray.random(size, seed));
    }

    @Override
    public String title() {
        return "Array of " + LongFormatter.formatUnderscore(readOnly.length) + " random Integer objects.";
    }
}
