package de.uni_marburg.powersort.data;

import de.uni_marburg.powersort.benchmark.IntegerArray;
import de.uni_marburg.powersort.benchmark.LongFormatter;

public class AscendingIntegers extends IntegerSupplier {
    public AscendingIntegers(int size) {
        super(IntegerArray.ascending( 1, size));
    }

    @Override
    public String title() {
        return "Array of " + LongFormatter.formatUnderscore(readOnly.length) + " ascending Integer objects.";
    }
}
