package de.uni_marburg.powersort.data;

import de.uni_marburg.powersort.benchmark.IntegerArray;
import de.uni_marburg.powersort.benchmark.LongFormatter;

public class DescendingIntegers extends IntegerSupplier {
    public DescendingIntegers(int size) {
        super(IntegerArray.descending(size, 1));
    }

    @Override
    public String title() {
        return "Array of " + LongFormatter.formatUnderscore(readOnly.length) + " descending Integer objects.";
    }
}
